Subject: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Dec 2016 19:37:36 +0200

> From: [email-masked] (Dr. Werner Fink)
> Date: Mon, 19 Dec 2016 11:03:06 +0100
> 
> just get a bug report from an user and I've verified that: using
> (custom-set-faces) is ignored from ~/.emacs.  Using eval-expression
> in minibuffer after start shows that the function its self does work.
> 
> The example was
> (custom-set-faces '(default ((t (:family "B&H
> LucidaTypewriter" :foundry "B&H" :slant normal :weight normal :height 90
> :width normal)))))
> 
> I've tried direct in ~/.emacs as well as with a separate defined custom
> file in ~/.emacs with
> 
>   (setq custom-file "~/.gnu-emacs-custom")
>   (load custom-file t t)
> 
> and I've verified that ~/.emacs as well as ~/.gnu-emacs-custom will be
> loaded as strace shows.

I cannot reproduce this.  I put the above (with a different font, as I
don't have that one) in my .emacs, and it did have the expected
effect.

Is there anything else in that .emacs?

Thanks.